Get Bank

GEThttps://bank.dattaremit.com/api/banks/{bank_guid}

Requires a bank-scoped key.

Retrieves a bank.

Required scope: banks:read

Path Params

bank_guidstringrequired

Identifier for the bank.

Responses

200

bank found

401

Unauthorized - Authentication failed, invalid subject

403

Invalid scope

404

bank not found

Request

curl https://api.dattaremit.com/api/banks/{bank_guid} \
  -H "Authorization: Bearer sk_test_YOUR_KEY"

Response

bank found

{
  "guid": "string",
  "organization_guid": "string",
  "name": "string",
  "type": "string",
  "supported_trading_symbols": [
    "string"
  ],
  "supported_payout_symbols": [
    {
      "symbol": "string",
      "country_code": "string",
      "participants_type": "string",
      "route": "string"
    }
  ],
  "supported_fiat_account_assets": [
    "string"
  ],
  "supported_country_codes": [
    "string"
  ],
  "features": [
    "string"
  ],
  "cors_allowed_origins": [
    "string"
  ],
  "created_at": "2026-07-20T16:27:51.438Z",
  "updated_at": "2026-07-20T16:27:51.438Z"
}